# setCompoentFocus

## Description

Highlights a specific text in a component.

## Input / Parameter

| Name          | Description                               | Input Type  | Default | Options     | Required                           |
| ------------- | ----------------------------------------- | ----------- | ------- | ----------- | ---------------------------------- |
| component     | The name of the component.                | String/Text | -       | -           | Partial (Yes if no 'componentId'.) |
| componentId   | The id of the component.                  | String/Text | -       | -           | Partial (Yes if no 'component'.)   |
| selectAllText | Highlight all the words in the component. | Boolean     | false   | true, false | No                                 |
| hideKeyboard  | Hide or display keyboard.                 | Boolean     | false   | true, false | No                                 |

**\* Note:** Either component or componentId must have value in order for this function to work.

## Output

N/A

Note: The component will be updated to show the highlighted text in the edit component.

## Callback

N/A

## Video

Coming Soon.

## Example

Coming Soon.

### Steps

Coming Soon.

### Result

Coming Soon.

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/app/setcompoentfocus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
